JBoss API: Interface StatefulSessionPersistenceManager

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb
Interface StatefulSessionPersistenceManager

All Superinterfaces:
  ContainerPlugin, Service

All Known Implementing Classes:
  StatefulSessionFilePersistenceManager

public interface StatefulSessionPersistenceManager
extends ContainerPlugin

Version:
  $Revision: 1.4 $
Author:
  Rickard Öberg (rickard.oberg@telkel.com)
See Also:

Method Summary
`void` | `activateSession(StatefulSessionEnterpriseContext ctx)`
`void` | `createSession(java.lang.reflect.Method m, java.lang.Object[] args, StatefulSessionEnterpriseContext ctx)`
`void` | `passivateSession(StatefulSessionEnterpriseContext ctx)`
`void` | `removePassivated(java.lang.Object key)`
`void` | `removeSession(StatefulSessionEnterpriseContext ctx)`

Methods inherited from interface org.jboss.ejb.ContainerPlugin
`setContainer`

Methods inherited from interface org.jboss.util.Service
`destroy, init, start, stop`

Method Detail

### createSession

    public void createSession(java.lang.reflect.Method m,
                              java.lang.Object[] args,
                              StatefulSessionEnterpriseContext ctx)
                       throws java.lang.Exception

### activateSession

    public void activateSession(StatefulSessionEnterpriseContext ctx)
                         throws java.rmi.RemoteException

### passivateSession

    public void passivateSession(StatefulSessionEnterpriseContext ctx)
                          throws java.rmi.RemoteException

### removeSession

    public void removeSession(StatefulSessionEnterpriseContext ctx)
                       throws java.rmi.RemoteException,
                              javax.ejb.RemoveException

### removePassivated

    public void removePassivated(java.lang.Object key)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.